Commit dcefce4c authored by Gustavo Zacarias's avatar Gustavo Zacarias Committed by Peter Korsgaard
Browse files

dhcp: adjust initscripts and misc details



Revamp initscripts see bug #3601
* Trim whitespace
* Check for installed binary (dhcp-relay)
* Check for installed config (dhcp-server)
* Check for proper variable setup from the script (both)
* Add "FAIL" message when startup fails (blind OK isn't accurate)
* Add start/stop messages to dhcp-relay

Switch bool to "dhcp (ISC)" to keep in line with package sorting.

Signed-off-by: default avatarGustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: default avatarPeter Korsgaard <peter@korsgaard.com>
parent 25507b2a
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
config BR2_PACKAGE_DHCP
	bool "isc dhcp"
	bool "dhcp (ISC)"
	# fork()
	depends on BR2_USE_MMU
	help
+12 −15
Original line number Diff line number Diff line
@@ -3,7 +3,6 @@
# $Id: dhcp3-relay,v 1.1 2004/04/16 15:41:08 ml Exp $
#


# What servers should the DHCP relay forward requests to?
# e.g: SERVERS="192.168.0.1"
SERVERS=""
@@ -14,31 +13,29 @@ INTERFACES=""
# Additional options that are passed to the DHCP relay daemon?
OPTIONS=""




# It is not safe to start if we don't have a default configuration...
echo "/etc/init.d/dhcp-relay not yet configured! - Aborting..."
exit 1;


# Sanity checks
test -f /usr/sbin/dhcrelay || exit 0
test -n "$INTERFACES" || exit 0
test -n "$SERVERS" || exit 0

# Build command line for interfaces (will be passed to dhrelay below.)
IFCMD=""
if test "$INTERFACES" != ""; then
for I in $INTERFACES; do
	IFCMD=${IFCMD}"-i "${I}" "
done
fi

DHCRELAYPID=/var/run/dhcrelay.pid

case "$1" in
	start)
		echo -n "Starting DHCP relay: "
		start-stop-daemon -S -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	stop)
		echo -n "Stopping DHCP relay: "
		start-stop-daemon -K -x /usr/sbin/dhcrelay
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	restart | force-reload)
		$0 stop
+7 −14
Original line number Diff line number Diff line
@@ -3,21 +3,14 @@
# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
#



# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
#       Separate multiple interfaces with spaces, e.g. "eth0 eth1".
INTERFACES=""


# It is not safe to start if we don't have a default configuration...
echo "/etc/init.d/dhcp-server not yet configured! - Aborting..."
exit 1;



# Sanity checks
test -f /usr/sbin/dhcpd || exit 0

test -f /etc/dhcpd.conf || exit 0
test -n "$INTERFACES" || exit 0

case "$1" in
	start)
@@ -25,12 +18,12 @@ case "$1" in
		test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
		test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
		start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
		echo "."
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	stop)
		echo -n "Stopping DHCP server: dhcpd3"
		start-stop-daemon -K -x /usr/sbin/dhcpd
		echo "."
		[ $? == 0 ] && echo "OK" || echo "FAIL"
		;;
	restart | force-reload)
		$0 stop